@article{9716139,
	title        = {Black-Box Audio Adversarial Attack Using Particle Swarm Optimization},
	author       = {Mun, Hyunjun and Seo, Sunggwan and Son, Baehoon and Yun, Joobeom},
	year         = 2022,
	journal      = {{IEEE} Access},
	publisher    = {IEEE},
	volume       = 10,
	pages        = {23532--23544},
	doi          = {10.1109/ACCESS.2022.3152526}
}

@article{bishop1998bayesian,
	title        = {Bayesian pca},
	author       = {Bishop, Christopher},
	year         = 1998,
	journal      = {Advances in neural information processing systems},
	volume       = 11
}
@misc{butter_dataset,
    title        = {BUTTER - Empirical Deep Learning Dataset},
    author       = {Charles Tripp and Jordan Perr-Sauer and Lucas Hayne and Monte Lunacek},
    year         = {2022},
    month        = {May},
    doi          = {10.25984/1872441},
    url          = {https://data.openei.org/submissions/5708},
    howpublished = {United States}
}


@inproceedings{john2020ai,
  title={Ai on the edge: Architectural alternatives},
  author={John, Meenu Mary and Olsson, Helena Holmstr{\"o}m and Bosch, Jan},
  booktitle={2020 46th Euromicro Conference on Software Engineering and Advanced Applications (SEAA)},
  pages={21--28},
  year={2020},
  organization={IEEE}
}
@inproceedings{john2020developing,
  title={Developing ml/dl models: A design framework},
  author={John, Meenu Mary and Olsson, Helena Holmstr{\"o}m and Bosch, Jan},
  booktitle={Proceedings of the International Conference on Software and System Processes},
  pages={1--10},
  year={2020}
}
@inproceedings{makinen2021needs,
  title={Who needs MLOps: What data scientists seek to accomplish and how can MLOps help?},
  author={M{\"a}kinen, Sasu and Skogstr{\"o}m, Henrik and Laaksonen, Eero and Mikkonen, Tommi},
  booktitle={2021 IEEE/ACM 1st Workshop on AI Engineering-Software Engineering for AI (WAIN)},
  pages={109--112},
  year={2021},
  organization={IEEE}
}
@article{ebert2016devops,
title={DevOps},
author={Ebert, Christof and Gallardo, Gorka and Hernantes, Josune and Serrano, Nicolas},
journal={Ieee Software},
volume={33},
number={3},
pages={94--100},
year={2016},
publisher={Ieee}
}
@article{sculley2015hidden,
  title={Hidden technical debt in machine learning systems},
  author={Sculley, David and Holt, Gary and Golovin, Daniel and Davydov, Eugene and Phillips, Todd and Ebner, Dietmar and Chaudhary, Vinay and Young, Michael and Crespo, Jean-Francois and Dennison, Dan},
  journal={Advances in neural information processing systems},
  volume={28},
  year={2015}
}
@article{karamitsos2020applying,
  title={Applying DevOps practices of continuous automation for machine learning},
  author={Karamitsos, Ioannis and Albarhami, Saeed and Apostolopoulos, Charalampos},
  journal={Information},
  volume={11},
  number={7},
  pages={363},
  year={2020},
  publisher={MDPI}
}
@inproceedings{john2021towards,
  title={Towards mlops: A framework and maturity model},
  author={John, Meenu Mary and Olsson, Helena Holmstr{\"o}m and Bosch, Jan},
  booktitle={2021 47th Euromicro Conference on Software Engineering and Advanced Applications (SEAA)},
  pages={1--8},
  year={2021},
  organization={IEEE}
}

@article{butter_publication,
    title        = {An Empirical Deep Dive into Deep Learning's Driving Dynamics},
    author       = {Charles Edison Tripp and Jordan Perr-Sauer and Lucas Hayne and Monte Lunacek},
    year         = {2022},
    journal      = {arXiv preprint arXiv:2207.12547}
}

@inproceedings{carlini2017adversarial,
	title        = {Adversarial examples are not easily detected: Bypassing ten detection methods},
	author       = {Carlini, Nicholas and Wagner, David},
	year         = 2017,
	booktitle    = {Proceedings of the 10th ACM workshop on artificial intelligence and security},
	pages        = {3--14}
}

@inproceedings{carlini2017towards,
	title        = {Towards evaluating the robustness of neural networks},
	author       = {Carlini, Nicholas and Wagner, David},
	year         = 2017,
	booktitle    = {2017 ieee symposium on security and privacy (sp)},
	pages        = {39--57},
	organization = {Ieee}
}

@article{chen2021deepcape,
	title        = {DeepCAPE: a deep convolutional neural network for the accurate prediction of enhancers},
	author       = {Chen, Shengquan and Gan, Mingxin and Lv, Hairong and Jiang, Rui},
	year         = 2021,
	journal      = {Genomics, Proteomics \& Bioinformatics},
	publisher    = {Elsevier},
	volume       = 19,
	number       = 4,
	pages        = {565--577}
}

@inproceedings{datta2016algorithmic,
	title        = {Algorithmic transparency via quantitative input influence: Theory and experiments with learning systems},
	author       = {Datta, Anupam and Sen, Shayak and Zick, Yair},
	year         = 2016,
	booktitle    = {2016 IEEE symposium on security and privacy (SP)},
	pages        = {598--617},
	organization = {IEEE}
}

@article{deng2012mnist,
	title        = {The mnist database of handwritten digit images for machine learning research},
	author       = {Deng, Li},
	year         = 2012,
	journal      = {IEEE Signal Processing Magazine},
	publisher    = {IEEE},
	volume       = 29,
	number       = 6,
	pages        = {141--142}
}

@article{desislavov2021compute,
	title        = {Compute and energy consumption trends in deep learning inference},
	author       = {Desislavov, Radosvet and Mart{\'\i}nez-Plumed, Fernando and Hern{\'a}ndez-Orallo, Jos{\'e}},
	year         = 2021,
	journal      = {arXiv preprint arXiv:2109.05472}
}

@article{doshi2017towards,
	title        = {Towards a rigorous science of interpretable machine learning},
	author       = {Doshi-Velez, Finale and Kim, Been},
	year         = 2017,
	journal      = {arXiv preprint arXiv:1702.08608}
}

@article{doshi2018considerations,
	title        = {Considerations for evaluation and generalization in interpretable machine learning},
	author       = {Doshi-Velez, Finale and Kim, Been},
	year         = 2018,
	journal      = {Explainable and interpretable models in computer vision and machine learning},
	publisher    = {Springer},
	pages        = {3--17}
}

@article{encode2012integrated,
	title        = {An integrated encyclopedia of DNA elements in the human genome},
	author       = {ENCODE Project Consortium and others},
	year         = 2012,
	journal      = {Nature},
	publisher    = {NIH Public Access},
	volume       = 489,
	number       = 7414,
	pages        = 57
}

@article{frankle2018lottery,
	title        = {The lottery ticket hypothesis: Finding sparse, trainable neural networks},
	author       = {Frankle, Jonathan and Carbin, Michael},
	year         = 2018,
	journal      = {arXiv preprint arXiv:1803.03635}
}

@article{goodfellow2014explaining,
	title        = {Explaining and harnessing adversarial examples},
	author       = {Goodfellow, Ian J and Shlens, Jonathon and Szegedy, Christian},
	year         = 2014,
	journal      = {arXiv preprint arXiv:1412.6572}
}

@inproceedings{goodman2016eu,
	title        = {EU regulations on algorithmic decision-making and a “right to explanation”},
	author       = {Goodman, Bryce and Flaxman, Seth},
	year         = 2016,
	booktitle    = {ICML workshop on human interpretability in machine learning (WHI 2016), New York, NY. http://arxiv. org/abs/1606.08813 v1}
}

@article{gramegna2021shap,
	title        = {SHAP and LIME: an evaluation of discriminative power in credit risk},
	author       = {Gramegna, Alex and Giudici, Paolo},
	year         = 2021,
	journal      = {Frontiers in Artificial Intelligence},
	publisher    = {Frontiers Media SA},
	volume       = 4,
	pages        = 752558
}

@inproceedings{he2017adversarial,
	title        = {Adversarial example defense: Ensembles of weak defenses are not strong},
	author       = {He, Warren and Wei, James and Chen, Xinyun and Carlini, Nicholas and Song, Dawn},
	year         = 2017,
	booktitle    = {11th USENIX workshop on offensive technologies (WOOT 17)}
}

@misc{Iea,
	title        = {Digitalization and energy analysis},
	author       = {Iea},
	journal      = {IEA},
	url          = {https://www.iea.org/reports/digitalisation-and-energy}
}

@inproceedings{kennedy1995particle,
	title        = {Particle swarm optimization},
	author       = {Kennedy, James and Eberhart, Russell},
	year         = 1995,
	booktitle    = {Proceedings of ICNN'95-international conference on neural networks},
	volume       = 4,
	pages        = {1942--1948},
	organization = {IEEE}
}

@inproceedings{khalifa2020verification,
	title        = {Verification of Neural Networks for Safety Critical Applications},
	author       = {Khalifa, Khaled and Safar, Mona and El-Kharashi, M Watheq},
	year         = 2020,
	booktitle    = {2020 32nd International Conference on Microelectronics (ICM)},
	pages        = {1--4},
	organization = {IEEE}
}

@inproceedings{kumar2020adversarial,
	title        = {Adversarial machine learning-industry perspectives},
	author       = {Kumar, Ram Shankar Siva and Nystr{\"o}m, Magnus and Lambert, John and Marshall, Andrew and Goertzel, Mario and Comissoneru, Andi and Swann, Matt and Xia, Sharon},
	year         = 2020,
	booktitle    = {2020 IEEE Security and Privacy Workshops (SPW)},
	pages        = {69--75},
	organization = {IEEE}
}

@incollection{kurakin2018adversarial,
	title        = {Adversarial examples in the physical world},
	author       = {Kurakin, Alexey and Goodfellow, Ian J and Bengio, Samy},
	year         = 2018,
	booktitle    = {Artificial intelligence safety and security},
	publisher    = {Chapman and Hall/CRC},
	pages        = {99--112}
}

@article{chahar2020systematic,
  title={A systematic review of the machine learning algorithms for the computational analysis in different domains},
  author={Chahar, Ravita and Kaur, Deepinder},
  journal={International Journal of Advanced Technology and Engineering Exploration},
  volume={7},
  number={71},
  pages={147},
  year={2020},
  publisher={Accent Social and Welfare Society}
}
@inproceedings{li2014medical,
	title        = {Medical image classification with convolutional neural network},
	author       = {Li, Qing and Cai, Weidong and Wang, Xiaogang and Zhou, Yun and Feng, David Dagan and Chen, Mei},
	year         = 2014,
	booktitle    = {2014 13th International Conference on Control Automation Robotics \& Vision (ICARCV)},
	pages        = {844--848},
	organization = {IEEE}
}

@inproceedings{liu2017learning,
	title        = {Learning efficient convolutional networks through network slimming},
	author       = {Liu, Zhuang and Li, Jianguo and Shen, Zhiqiang and Huang, Gao and Yan, Shoumeng and Zhang, Changshui},
	year         = 2017,
	booktitle    = {Proceedings of the IEEE international conference on computer vision},
	pages        = {2736--2744}
}

@inproceedings{liu2018security,
	title        = {Security analysis and enhancement of model compressed deep learning systems under adversarial attacks},
	author       = {Liu, Qi and Liu, Tao and Liu, Zihao and Wang, Yanzhi and Jin, Yier and Wen, Wujie},
	year         = 2018,
	booktitle    = {2018 23rd Asia and South Pacific Design Automation Conference (ASP-DAC)},
	pages        = {721--726},
	organization = {IEEE}
}

@article{lundberg2017unified,
	title        = {A unified approach to interpreting model predictions},
	author       = {Lundberg, Scott M and Lee, Su-In},
	year         = 2017,
	journal      = {Advances in neural information processing systems},
	volume       = 30
}

@article{jones2018stop,
  title={How to stop data centres from gobbling up the world’s electricity},
  author={Jones, Nicola and others},
  journal={Nature},
  volume={561},
  number={7722},
  pages={163--166},
  year={2018},
  publisher={Springer Science and Business Media LLC}
}
@article{mcinnes2018umap,
	title        = {Umap: Uniform manifold approximation and projection for dimension reduction},
	author       = {McInnes, Leland and Healy, John and Melville, James},
	year         = 2018,
	journal      = {arXiv preprint arXiv:1802.03426}
}

@article{miranda2018pyswarms,
	title        = {PySwarms: a research toolkit for Particle Swarm Optimization in Python},
	author       = {Miranda, Lester James},
	year         = 2018,
	journal      = {Journal of Open Source Software},
	volume       = 3,
	number       = 21,
	pages        = 433
}

@article{mosli2019they,
	title        = {They might not be giants: Crafting black-box adversarial examples with fewer queries using particle swarm optimization},
	author       = {Mosli, Rayan and Wright, Matthew and Yuan, Bo and Pan, Yin},
	year         = 2019,
	journal      = {arXiv preprint arXiv:1909.07490}
}

@article{papernot2016towards,
	title        = {Towards the science of security and privacy in machine learning},
	author       = {Papernot, Nicolas and McDaniel, Patrick and Sinha, Arunesh and Wellman, Michael},
	year         = 2016,
	journal      = {arXiv preprint arXiv:1611.03814}
}

@inproceedings{papernot2017practical,
	title        = {Practical black-box attacks against machine learning},
	author       = {Papernot, Nicolas and McDaniel, Patrick and Goodfellow, Ian and Jha, Somesh and Celik, Z Berkay and Swami, Ananthram},
	year         = 2017,
	booktitle    = {Proceedings of the 2017 ACM on Asia conference on computer and communications security},
	pages        = {506--519}
}

@inproceedings{ribeiro2016should,
	title        = {" Why should i trust you?" Explaining the predictions of any classifier},
	author       = {Ribeiro, Marco Tulio and Singh, Sameer and Guestrin, Carlos},
	year         = 2016,
	booktitle    = {Proceedings of the 22nd ACM SIGKDD international conference on knowledge discovery and data mining},
	pages        = {1135--1144}
}

@article{rudin2022interpretable,
	title        = {Interpretable machine learning: Fundamental principles and 10 grand challenges},
	author       = {Rudin, Cynthia and Chen, Chaofan and Chen, Zhi and Huang, Haiyang and Semenova, Lesia and Zhong, Chudi},
	year         = 2022,
	journal      = {Statistic Surveys},
	publisher    = {The American Statistical Association, the Bernoulli Society, the Institute~…},
	volume       = 16,
	pages        = {1--85}
}

@inproceedings{selbst2018meaningful,
	title        = {“Meaningful information” and the right to explanation},
	author       = {Selbst, Andrew and Powles, Julia},
	year         = 2018,
	booktitle    = {conference on fairness, accountability and transparency},
	pages        = {48--48},
	organization = {PMLR}
}

@article{selvaraju2016grad,
	title        = {Grad-CAM: Why did you say that?},
	author       = {Selvaraju, Ramprasaath R and Das, Abhishek and Vedantam, Ramakrishna and Cogswell, Michael and Parikh, Devi and Batra, Dhruv},
	year         = 2016,
	journal      = {arXiv preprint arXiv:1611.07450}
}

@article{Shreeharsha2021TrainingOG,
	title        = {Training of Generative Adversarial Networks using Particle Swarm Optimization Algorithm},
	author       = {K. G. Shreeharsha and Charudatta Korde and M. H. Vasantha and Y. B. Nithin Kumar},
	year         = 2021,
	journal      = {2021 {IEEE} International Symposium on Smart Electronic Systems (iSES) (Formerly iNiS)},
	pages        = {127--130}
}

@article{simonyan2013deep,
	title        = {Deep inside convolutional networks: Visualising image classification models and saliency maps},
	author       = {Simonyan, Karen and Vedaldi, Andrea and Zisserman, Andrew},
	year         = 2013,
	journal      = {arXiv preprint arXiv:1312.6034}
}

@article{srivastava2021interpretable,
	title        = {An interpretable bimodal neural network characterizes the sequence and preexisting chromatin predictors of induced transcription factor binding},
	author       = {Srivastava, Divyanshi and Aydin, Beg{\"u}m and Mazzoni, Esteban O and Mahony, Shaun},
	year         = 2021,
	journal      = {Genome biology},
	publisher    = {BioMed Central},
	volume       = 22,
	number       = 1,
	pages        = {1--25}
}

@inproceedings{symeonidis2022mlops,
	title        = {Mlops-definitions, tools and challenges},
	author       = {Symeonidis, Georgios and Nerantzis, Evangelos and Kazakis, Apostolos and Papakostas, George A},
	year         = 2022,
	booktitle    = {2022 IEEE 12th Annual Computing and Communication Workshop and Conference (CCWC)},
	pages        = {0453--0460},
	organization = {IEEE}
}

@inproceedings{wang2021adversarial,
	title        = {Adversarial Examples in Physical World.},
	author       = {Wang, Jiakai},
	year         = 2021,
	booktitle    = {IJCAI},
	pages        = {4925--4926}
}

@article{winter2002shapley,
	title        = {The shapley value},
	author       = {Winter, Eyal},
	year         = 2002,
	journal      = {Handbook of game theory with economic applications},
	publisher    = {Elsevier},
	volume       = 3,
	pages        = {2025--2054}
}

@inproceedings{xie2020adversarial,
	title        = {Adversarial examples improve image recognition},
	author       = {Xie, Cihang and Tan, Mingxing and Gong, Boqing and Wang, Jiang and Yuille, Alan L and Le, Quoc V},
	year         = 2020,
	booktitle    = {Proceedings of the IEEE/CVF conference on computer vision and pattern recognition},
	pages        = {819--828}
}
